# File list

An action block that lists content on external storage.

The fiber will pause until the listing has completed.

The final directory level of path may contain glob patterns.

Note! File modification dates may not update correctly due to Android bug, hence modified since may not work as expected.

## Input arguments

- Path — path of directory to list.
- Modified since — only include content modified after this time.
- Content type — types of content to include, default is all content.
- Recursive — whether to recursively list subdirectories and all their content.

## Output variables

- Filenames — variable to assign the an array of matching paths in the path directory.